# $Revision: 1.56.2.1 $, $Date: 2006/04/15 21:51:52 $
#
# Conditional build:
%bcond_without	cap		# don't use capabilities to get real-time priority (needs suid root binary)
%bcond_without	alsa		# don't build ALSA driver
%bcond_without	posix_shm	# don't use posix shm
%bcond_without	static_libs	# don't build static libs
#
Summary:	The JACK Audio Connection Kit
Summary(pl):	JACK - zestaw do pocze audio
Name:		jack-audio-connection-kit
Version:	0.100.7
Release:	2
License:	LGPL v2.1+ (libjack), GPL v2+ (the rest)
Group:		Daemons
Source0:	http://dl.sourceforge.net/jackit/%{name}-%{version}.tar.gz
# Source0-md5:	7a53b0af6a4005810e331bb3b0d84880
Patch0:		%{name}-optimized-cflags.patch
Patch1:		%{name}-gcc4.patch
URL:		http://jackit.sourceforge.net/
%{?with_alsa:BuildRequires:	alsa-lib-devel >= 0.9.0}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	doxygen
%{?with_cap:BuildRequires:	libcap-devel}
BuildRequires:	libsndfile-devel >= 1.0.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
BuildRequires:	rpmbuild(macros) >= 1.98
Obsoletes:	jack-audio-connection-kit-driver-iec61883
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
JACK is a low-latency audio server, written primarily for the Linux
operating system. It can connect a number of different applications to
an audio device, as well as allowing them to share audio between
themselves. Its clients can run in their own processes (ie. as a
normal application), or can they can run within a JACK server (ie. a
"plugin").

JACK is different from other audio server efforts in that it has been
designed from the ground up to be suitable for professional audio
work. This means that it focuses on two key areas: synchronous
execution of all clients, and low latency operation.

%description -l pl
JACK to serwer dwiku o maych opnieniach, napisany gwnie dla
systemu operacyjnego Linux. Moe przyj poczenia od wielu rnych
aplikacji do urzdzenia dwikowego, a take pozwoli im na dzielenie
dwiku pomidzy siebie. Programy klienckie dziaaj jako wasne
procesy (tzn. normalne aplikacje) lub mog dziaa wewntrz serwera
JACK (jako wtyczki).

JACK rni si od innych serwerw dwiku tym, e zosta
zaprojektowany od pocztku z myl o profesjonalnej obrbce dwiku.
Oznacza to, e skupia si na dwch rzeczach: synchronicznym
wykonywaniu wszystkich klientw i maych opnieniach dziaania.

%package devel
Summary:	Header files for JACK
Summary(pl):	JACK - pliki nagwkowe
License:	LGPL
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for the JACK Audio Connection Kit.

%description devel -l pl
Pliki nagwkowe dla zestawu do pocze audio JACK.

%package static
Summary:	Static JACK library
Summary(pl):	Statyczna biblioteka JACK
License:	LGPL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static JACK library.

%description static -l pl
Statyczna biblioteka JACK.

%package libs
Summary:	JACK library
Summary(pl):	Biblioteka JACK-a
License:	GPL
Group:		Libraries
Conflicts:	%{name} < 0.100.7

%description libs
Shared JACK library.

%description libs -l pl
Biblioteka wspdzielona JACK-a.

%package driver-alsa
Summary:	ALSA driver for JACK
Summary(pl):	Sterownik ALSA dla JACK-a
License:	GPL
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description driver-alsa
ALSA driver for JACK.

%description driver-alsa -l pl
Sterownik ALSA dla JACK-a.

%package example-clients
Summary:	Example clients that use JACK
Summary(pl):	Przykadowe programy kliencie uywajce JACK-a
License:	GPL
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description example-clients
Small example clients that use the JACK Audio Connection Kit.

%description example-clients -l pl
Mae, przykadowe programy klienckie, ktre uywaj zestawu do
pocze audio JACK.

%package example-jackrec
Summary:	Example JACK client: jackrec
Summary(pl):	Przykadowy klient zestawu JACK: jackrec
License:	GPL
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description example-jackrec
Example JACK client: jackrec. It's separated because it uses
libsndfile library.

%description example-jackrec
Przykadowy klient zestawu JACK: jackrec. Jest wydzielony, poniewa
wymaga biblioteki libsndfile.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
cp -f /usr/share/automake/config.sub config
%{__libtoolize}
%{__aclocal} -I config
%{__autoheader}
%{__automake}
%{__autoconf}

%configure \
	%{?debug:--enable-debug} \
	--disable-coreaudio \
	--disable-oldtrans \
	--disable-portaudio \
	--enable-optimize \
	--enable-oss \
	%{!?with_alsa:--disable-alsa} \
	%{?with_cap:--enable-capabilities %{!?debug:--enable-stripped-jackd}} \
	--%{?with_posix_shm:en}%{!?with_posix_shm:dis}able-posix-shm \
	%{?with_static_libs:--enable-static} \
%ifarch athlon pentium3 pentium4 %{x8664}
	--enable-mmx \
%else
	--disable-mmx \
%endif
%ifarch pentium3 pentium4 %{x8664}
	--enable-sse \
%else
	--disable-sse \
%endif
%ifarch ppc
	--enable-altivec \
%else
	--disable-altivec \
%endif
	--enable-shared \
	--enable-static \
	--enable-resize \
	--enable-ensure-mlock \
	--enable-timestamps \
	--enable-preemption-check \
	--with-html-dir=%{_gtkdocdir} \
	--with-default-tmpdir=/tmp

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	HTML_DIR=%{_gtkdocdir}

rm -f $RPM_BUILD_ROOT%{_libdir}/jack/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
# note: COPYING only specifies which parts fall under GPL and LGPL
%doc AUTHORS TODO COPYING
%{?with_cap:%attr(4755,root,root) %{_bindir}/jackstart}
%attr(755,root,root) %{_bindir}/jackd
%attr(755,root,root) %{_bindir}/jack_load
%attr(755,root,root) %{_bindir}/jack_unload
%dir %{_libdir}/jack
%attr(755,root,root) %{_libdir}/jack/jack_dummy.so
%attr(755,root,root) %{_libdir}/jack/jack_oss.so
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libjack.so
%{_libdir}/libjack.la
%{_includedir}/jack
%{_pkgconfigdir}/jack.pc
%{_gtkdocdir}/*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libjack.a
%endif

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libjack.so.*.*

%if %{with alsa}
%files driver-alsa
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/jack/jack_alsa.so
%endif

%files example-clients
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/jack_bufsize
%attr(755,root,root) %{_bindir}/jack_connect
%attr(755,root,root) %{_bindir}/jack_disconnect
%attr(755,root,root) %{_bindir}/jack_freewheel
%attr(755,root,root) %{_bindir}/jack_impulse_grabber
%attr(755,root,root) %{_bindir}/jack_lsp
%attr(755,root,root) %{_bindir}/jack_metro
%attr(755,root,root) %{_bindir}/jack_monitor_client
%attr(755,root,root) %{_bindir}/jack_showtime
%attr(755,root,root) %{_bindir}/jack_simple_client
%attr(755,root,root) %{_bindir}/jack_transport
%attr(755,root,root) %{_libdir}/jack/inprocess.so
%attr(755,root,root) %{_libdir}/jack/intime.so

%files example-jackrec
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/jackrec

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jack-audio-connection-kit.spec,v $
Revision 1.56.2.1  2006/04/15 21:51:52  ankry
- C: in -libs for version before split to allow clean upgrade; rel. 2; STBR

Revision 1.56  2005/12/15 18:04:17  freetz
- 0.100.7

Revision 1.55  2005/11/25 12:22:10  pluto
- linking fixed, release 3 for Th.

Revision 1.54  2005/11/16 23:40:36  charles
- BR: rpmbuild(macros) >= 1.98 for %{_gtkdocdir}

Revision 1.53  2005/10/22 09:07:10  pluto
- %{x8664} macro.

Revision 1.52  2005/09/17 11:44:34  arekm
- new readline 5.0

Revision 1.51  2005/08/03 21:52:09  qboosh
- there is one shared library

Revision 1.50  2005/08/03 20:58:36  freetz
- added libs subpackage, rel.1

Revision 1.49  2005/07/12 19:28:23  qboosh
- typo

Revision 1.48  2005/07/07 17:19:54  freetz
- restored static_libs bcond

Revision 1.47  2005/07/07 16:40:48  freetz
- merged from DEVEL

Revision 1.46.2.6  2005/06/22 22:43:13  pluto
- updated to 0.100.0 final. merge'll proceeded soon.

Revision 1.46.2.5  2005/05/03 20:31:05  pluto
- release 0.2.

Revision 1.46.2.4  2005/05/03 19:52:44  pluto
- better mmx/sse selection.

Revision 1.46.2.3  2005/05/03 19:33:43  pluto
- pure athlon hasn't sse.

Revision 1.46.2.2  2005/05/03 18:50:38  ankry
- bcond desc fixes

Revision 1.46.2.1  2005/05/03 18:35:04  pluto
- updated to 0.99.61 (a candidate for 1.0.0 stable release).

Revision 1.46  2005/03/24 01:02:03  pluto
- sigsegv fixed (shm issue).
- release 2.

Revision 1.45  2005/03/23 21:33:40  andree
- added bcond with_posix_shm to disable --enable-posix-shm (broken)

Revision 1.44  2004/11/04 19:32:11  ankry
- pl fix

Revision 1.43  2004/10/10 10:38:48  pluto
- s/_with_cap/with_cap/.

Revision 1.42  2004/09/20 14:56:56  freetz
- commitlog correction / cosmetics

Revision 1.41  2004/09/20 14:47:03  freetz
- 0.99.0, removed firewire driver (removed from package)
- removed link patch (already included)
- performs much better as last version, upgrade recommended ;)

Revision 1.40  2004/08/25 16:32:56  qboosh
- added link patch to avoid linking libjack with -lreadline; release 4

Revision 1.39  2004/08/24 20:04:26  ankry
- unified capitalization

Revision 1.38  2004/08/24 08:54:07  ankry
- rel. 3 to rebuild

Revision 1.37  2004/08/23 18:37:27  pluto
- use POSIX shm API (where available).

Revision 1.36  2004/08/08 11:06:28  havner
- rel 2

Revision 1.35  2004/07/07 09:07:31  qboosh
- iec61883 needs libraw1394 >= 0.10 (with rawiso support)

Revision 1.34  2004/04/28 15:35:11  freetz
- 0.98.1 (it's mainly bugfix release)

Revision 1.33  2004/04/24 00:08:29  qboosh
- release 2

Revision 1.32  2004/04/23 23:57:48  qboosh
- put config.sub in proper dir

Revision 1.31  2004/04/23 21:25:32  qboosh
- updated to 0.98.0, removed obsolete opt patch
- ALSA no longer obligatory, moved driver to subpackage
- build iec61883 driver (as subpackage too)

Revision 1.30  2004/01/14 15:25:18  wiget
- 0.94.0

Revision 1.29  2003/12/29 18:01:38  undefine
- use new config.sub to allow build on amd64

Revision 1.28  2003/12/23 10:23:22  trojan
- updated to 0.92.0

Revision 1.27  2003/12/06 19:42:06  freetz
- 0.91.1

Revision 1.26  2003/11/26 13:00:24  trojan
- updated to 0.90.1

Revision 1.25  2003/11/16 19:31:44  qboosh
- fixed bcond rename

Revision 1.24  2003/11/16 18:37:33  freetz
- s/static/static_libs (it's a bcond conflict)
- static_libs are build by default (everywhere :) - thx qboosh

Revision 1.23  2003/11/16 15:07:07  freetz
- 0.90.0
- added with static bcond (static libs are no longer build by default)
- new style bconds
- updated and sorted %%files

Revision 1.22  2003/11/07 22:23:33  freetz
- BR readline-devel

Revision 1.21  2003/09/01 09:00:41  qboosh
- killed useless *.{la,a} files

Revision 1.20  2003/08/29 17:13:46  freetz
- 0.80.0 (new transport API)
- added dummy driver
- entries for unpackaged files added

Revision 1.19  2003/08/11 10:39:49  trojan
- updated to 0.75.0

Revision 1.18  2003/07/20 18:19:44  freetz
- updated to 0.74.1

Revision 1.17  2003/07/17 23:15:16  freetz
- up to 0.74.0

Revision 1.16  2003/06/26 22:00:06  trojan
- removed BR: fltk-devel, glib-devel

Revision 1.15  2003/06/14 08:51:25  trojan
- updated to 0.72.4

Revision 1.14  2003/05/25 11:00:52  malekith
- massive attack, adding Source-md5

Revision 1.13  2003/05/25 05:49:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/05/19 08:58:56  trojan
- updated to 0.71.2
- removed example-fltk package

Revision 1.11  2003/05/15 10:38:35  wiget
- updated to 0.71.1
- force newer fltk for BR

Revision 1.10  2003/05/06 09:41:27  qboosh
- added opt patch to use passed optflags
- removed static module

Revision 1.9  2003/05/06 07:55:00  trojan
- updated to 0.70.4

Revision 1.8  2003/03/16 18:24:12  adgor
- Typo

Revision 1.7  2003/03/06 20:13:57  wiget
- up to 0.61.0
- jack_(un)load to main package (general purpose in-process loader)
- example in-process client added to example-clients subpackage

Revision 1.6  2003/02/20 20:40:34  djrzulf
- added missed BR: doxygen

Revision 1.5  2003/02/11 12:46:59  qboosh
- removed obsolete libsndfile1 patch, standarized Source0 URL

Revision 1.4  2003/02/11 10:41:59  djrzulf
- typos

Revision 1.3  2003/02/11 10:04:00  trojan
- updated to 0.50.0
- moved jack_fltk from /usr/X11R6 to /usr
- updated %%files

Revision 1.2  2002/12/28 01:38:10  qboosh
- use new Group: X11/Applications/Sound

Revision 1.1  2002/10/31 12:05:01  qboosh
- new

* Thu May 23 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- added configuration variable to build with/without capabilities

* Tue May 21 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- split the examples into a different package so that the base
  package does not depend on, for example, fltk.
- disable stripping of binaries

* Mon May 13 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- do not compress documentation, added doxygen docs directory
- changed defattr directives
- added libdir/jack*, libdir/*.a and libdir/*.so.* to files
- moved all so's to libs, jack will not start without jack_alsa.so
- merged base and libs packages

* Sat May  4 2002 Christian Fredrik Kalager Schaller <uraeus@linuxrising.org>
- initial release of jack sound server package for GStreamer
